Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlar1v

    java.lang.Object
      org.netlib.lapack.Dlar1v

    public class Dlar1v

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAR1V computes the (scaled) r-th column of the inverse of
     *  the sumbmatrix in rows B1 through BN of the tridiagonal matrix
     *  L D L^T - sigma I. When sigma is close to an eigenvalue, the
     *  computed vector is an accurate eigenvector. Usually, r corresponds
     *  to the index where the eigenvector is largest in magnitude.
     *  The following steps accomplish this computation :
     *  (a) Stationary qd transform,  L D L^T - sigma I = L(+) D(+) L(+)^T,
     *  (b) Progressive qd transform, L D L^T - sigma I = U(-) D(-) U(-)^T,
     *  (c) Computation of the diagonal elements of the inverse of
     *      L D L^T - sigma I by combining the above transforms, and choosing
     *      r as the index where the diagonal of the inverse is (one of the)

     *      largest in magnitude.
     *  (d) Computation of the (scaled) r-th column of the inverse using the

     *      twisted factorization obtained by combining the top part of the
     *      the stationary and the bottom part of the progressive transform.

     *
     *  Arguments
     *  =========
     *
     *  N        (input) INTEGER
     *           The order of the matrix L D L^T.
     *
     *  B1       (input) INTEGER
     *           First index of the submatrix of L D L^T.
     *
     *  BN       (input) INTEGER
     *           Last index of the submatrix of L D L^T.
     *
     *  LAMBDA    (input) DOUBLE PRECISION
     *           The shift. In order to compute an accurate eigenvector,
     *           LAMBDA should be a good approximation to an eigenvalue
     *           of L D L^T.
     *
     *  L        (input) DOUBLE PRECISION array, dimension (N-1)
     *           The (n-1) subdiagonal elements of the unit bidiagonal matrix
     *           L, in elements 1 to N-1.
     *
     *  D        (input) DOUBLE PRECISION array, dimension (N)
     *           The n diagonal elements of the diagonal matrix D.
     *
     *  LD       (input) DOUBLE PRECISION array, dimension (N-1)
     *           The n-1 elements L(i)*D(i).
     *
     *  LLD      (input) DOUBLE PRECISION array, dimension (N-1)
     *           The n-1 elements L(i)*L(i)*D(i).
     *
     *  PIVMIN   (input) DOUBLE PRECISION
     *           The minimum pivot in the Sturm sequence.
     *
     *  GAPTOL   (input) DOUBLE PRECISION
     *           Tolerance that indicates when eigenvector entries are neglig
     *           w.r.t. their contribution to the residual.
     *
     *  Z        (input/output) DOUBLE PRECISION array, dimension (N)
     *           On input, all entries of Z must be set to 0.
     *           On output, Z contains the (scaled) r-th column of the
     *           inverse. The scaling is such that Z(R) equals 1.
     *
     *  WANTNC   (input) LOGICAL
     *           Specifies whether NEGCNT has to be computed.
     *
     *  NEGCNT   (output) INTEGER
     *           If WANTNC is .TRUE. then NEGCNT = the number of pivots < piv
     *           in the  matrix factorization L D L^T, and NEGCNT = -1 otherw
     *
     *  ZTZ      (output) DOUBLE PRECISION
     *           The square of the 2-norm of Z.
     *
     *  MINGMA   (output) DOUBLE PRECISION
     *           The reciprocal of the largest (in magnitude) diagonal
     *           element of the inverse of L D L^T - sigma I.
     *
     *  R        (input/output) INTEGER
     *           The twist index for the twisted factorization used to
     *           compute Z.
     *           On input, 0 <= R <= N. If R is input as 0, R is set to
     *           the index where (L D L^T - sigma I)^{-1} is largest
     *           in magnitude. If 1 <= R <= N, R is unchanged.
     *           On output, R contains the twist index used to compute Z.
     *           Ideally, R designates the position of the maximum entry in t
     *           eigenvector.
     *
     *  ISUPPZ   (output) INTEGER array, dimension (2)
     *           The support of the vector in Z, i.e., the vector Z is
     *           nonzero only in elements ISUPPZ(1) through ISUPPZ( 2 ).
     *
     *  NRMINV   (output) DOUBLE PRECISION
     *           NRMINV = 1/SQRT( ZTZ )
     *
     *  RESID    (output) DOUBLE PRECISION
     *           The residual of the FP vector.
     *           RESID = ABS( MINGMA )/SQRT( ZTZ )
     *
     *  RQCORR   (output) DOUBLE PRECISION
     *           The Rayleigh Quotient correction to LAMBDA.
     *           RQCORR = MINGMA*TMP
     *
     *  WORK     (workspace) DOUBLE PRECISION array, dimension (4*N)
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Beresford Parlett, University of California, Berkeley, USA
     *     Jim Demmel, University of California, Berkeley, USA
     *     Inderjit Dhillon, University of Texas, Austin, USA
     *     Osni Marques, LBNL/NERSC, USA
     *     Christof Voemel, University of California, Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dlar1v()`

Method Summary
`static void` | `dlar1v(int n, int b1, int bn, double lambda, double[] d, int _d_offset, double[] l, int _l_offset, double[] ld, int _ld_offset, double[] lld, int _lld_offset, double pivmin, double gaptol, double[] z, int _z_offset, boolean wantnc, intW negcnt, doubleW ztz, doubleW mingma, intW r, int[] isuppz, int _isuppz_offset, doubleW nrminv, doubleW resid, doubleW rqcorr, double[] work, int _work_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlar1v

    public Dlar1v()

Method Detail

### dlar1v

    public static void dlar1v(int n,
                              int b1,
                              int bn,
                              double lambda,
                              double[] d,
                              int _d_offset,
                              double[] l,
                              int _l_offset,
                              double[] ld,
                              int _ld_offset,
                              double[] lld,
                              int _lld_offset,
                              double pivmin,
                              double gaptol,
                              double[] z,
                              int _z_offset,
                              boolean wantnc,
                              intW negcnt,
                              doubleW ztz,
                              doubleW mingma,
                              intW r,
                              int[] isuppz,
                              int _isuppz_offset,
                              doubleW nrminv,
                              doubleW resid,
                              doubleW rqcorr,
                              double[] work,
                              int _work_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD